package com.eactive.eai.rms.onl.statistics.trand.vo;

import org.apache.commons.collections.primitives.ArrayFloatList;

public class YearTrandVO {

    private float moveAge1;
    private float moveAge2;
    private float moveAge3;
    private float moveAge4;
    private float moveAge5;
    private float moveAge6;
    private float moveAge7;
    private float moveAge8;
    private float moveAge9;
    private float moveAge10;
    private float moveAge11;
    private float moveAge12;

    private ArrayFloatList moveAgeList1 = new ArrayFloatList();
    private ArrayFloatList moveAgeList2 = new ArrayFloatList();
    private ArrayFloatList moveAgeList3 = new ArrayFloatList();
    private ArrayFloatList moveAgeList4 = new ArrayFloatList();
    private ArrayFloatList moveAgeList5 = new ArrayFloatList();
    private ArrayFloatList moveAgeList6 = new ArrayFloatList();
    private ArrayFloatList moveAgeList7 = new ArrayFloatList();
    private ArrayFloatList moveAgeList8 = new ArrayFloatList();
    private ArrayFloatList moveAgeList9 = new ArrayFloatList();
    private ArrayFloatList moveAgeList10 = new ArrayFloatList();
    private ArrayFloatList moveAgeList11 = new ArrayFloatList();
    private ArrayFloatList moveAgeList12 = new ArrayFloatList();

    public float getMoveAge(int i) {
        switch (i) {
        case 1:
            return moveAge1;
        case 2:
            return moveAge2;
        case 3:
            return moveAge3;
        case 4:
            return moveAge4;
        case 5:
            return moveAge5;
        case 6:
            return moveAge6;
        case 7:
            return moveAge7;
        case 8:
            return moveAge8;
        case 9:
            return moveAge9;
        case 10:
            return moveAge10;
        case 11:
            return moveAge11;
        case 12:
            return moveAge12;
        default:
            return 1;
        }
    }

    public float getMoveAge1() {
        return moveAge1;
    }

    public void setMoveAge1(float moveAge1) {
        this.moveAge1 = moveAge1;
    }

    public float getMoveAge10() {
        return moveAge10;
    }

    public void setMoveAge10(float moveAge10) {
        this.moveAge10 = moveAge10;
    }

    public float getMoveAge11() {
        return moveAge11;
    }

    public void setMoveAge11(float moveAge11) {
        this.moveAge11 = moveAge11;
    }

    public float getMoveAge12() {
        return moveAge12;
    }

    public void setMoveAge12(float moveAge12) {
        this.moveAge12 = moveAge12;
    }

    public float getMoveAge2() {
        return moveAge2;
    }

    public void setMoveAge2(float moveAge2) {
        this.moveAge2 = moveAge2;
    }

    public float getMoveAge3() {
        return moveAge3;
    }

    public void setMoveAge3(float moveAge3) {
        this.moveAge3 = moveAge3;
    }

    public float getMoveAge4() {
        return moveAge4;
    }

    public void setMoveAge4(float moveAge4) {
        this.moveAge4 = moveAge4;
    }

    public float getMoveAge5() {
        return moveAge5;
    }

    public void setMoveAge5(float moveAge5) {
        this.moveAge5 = moveAge5;
    }

    public float getMoveAge6() {
        return moveAge6;
    }

    public void setMoveAge6(float moveAge6) {
        this.moveAge6 = moveAge6;
    }

    public float getMoveAge7() {
        return moveAge7;
    }

    public void setMoveAge7(float moveAge7) {
        this.moveAge7 = moveAge7;
    }

    public float getMoveAge8() {
        return moveAge8;
    }

    public void setMoveAge8(float moveAge8) {
        this.moveAge8 = moveAge8;
    }

    public float getMoveAge9() {
        return moveAge9;
    }

    public void setMoveAge9(float moveAge9) {
        this.moveAge9 = moveAge9;
    }

    public ArrayFloatList getMoveAgeList1() {
        return moveAgeList1;
    }

    public void setMoveAgeList1(ArrayFloatList moveAgeList1) {
        this.moveAgeList1 = moveAgeList1;
    }

    public ArrayFloatList getMoveAgeList10() {
        return moveAgeList10;
    }

    public void setMoveAgeList10(ArrayFloatList moveAgeList10) {
        this.moveAgeList10 = moveAgeList10;
    }

    public ArrayFloatList getMoveAgeList11() {
        return moveAgeList11;
    }

    public void setMoveAgeList11(ArrayFloatList moveAgeList11) {
        this.moveAgeList11 = moveAgeList11;
    }

    public ArrayFloatList getMoveAgeList12() {
        return moveAgeList12;
    }

    public void setMoveAgeList12(ArrayFloatList moveAgeList12) {
        this.moveAgeList12 = moveAgeList12;
    }

    public ArrayFloatList getMoveAgeList2() {
        return moveAgeList2;
    }

    public void setMoveAgeList2(ArrayFloatList moveAgeList2) {
        this.moveAgeList2 = moveAgeList2;
    }

    public ArrayFloatList getMoveAgeList3() {
        return moveAgeList3;
    }

    public void setMoveAgeList3(ArrayFloatList moveAgeList3) {
        this.moveAgeList3 = moveAgeList3;
    }

    public ArrayFloatList getMoveAgeList4() {
        return moveAgeList4;
    }

    public void setMoveAgeList4(ArrayFloatList moveAgeList4) {
        this.moveAgeList4 = moveAgeList4;
    }

    public ArrayFloatList getMoveAgeList5() {
        return moveAgeList5;
    }

    public void setMoveAgeList5(ArrayFloatList moveAgeList5) {
        this.moveAgeList5 = moveAgeList5;
    }

    public ArrayFloatList getMoveAgeList6() {
        return moveAgeList6;
    }

    public void setMoveAgeList6(ArrayFloatList moveAgeList6) {
        this.moveAgeList6 = moveAgeList6;
    }

    public ArrayFloatList getMoveAgeList7() {
        return moveAgeList7;
    }

    public void setMoveAgeList7(ArrayFloatList moveAgeList7) {
        this.moveAgeList7 = moveAgeList7;
    }

    public ArrayFloatList getMoveAgeList8() {
        return moveAgeList8;
    }

    public void setMoveAgeList8(ArrayFloatList moveAgeList8) {
        this.moveAgeList8 = moveAgeList8;
    }

    public ArrayFloatList getMoveAgeList9() {
        return moveAgeList9;
    }

    public void setMoveAgeList9(ArrayFloatList moveAgeList9) {
        this.moveAgeList9 = moveAgeList9;
    }

}
